haskelldb-2.2.4: A library of combinators for generating and executing SQL statements.

Copyright | Daan Leijen (c) 1999, daan@cs.uu.nl HWT Group (c) 2003, haskelldb-users@lists.sourceforge.net
License | BSD-style
Maintainer | haskelldb-users@lists.sourceforge.net
Stability | experimental
Portability | non portable
Safe Haskell | None
Language | Haskell98

Database.HaskellDB.Optimize

Description

Defines standard optimizations performed on PrimQuery's (relational expressions).

Synopsis

- optimize :: PrimQuery -> PrimQuery
- optimizeCriteria :: [PrimExpr] -> [PrimExpr]

# Documentation

optimize :: PrimQuery -> PrimQuery Source

Optimize a PrimQuery

optimizeCriteria :: [PrimExpr] -> [PrimExpr] Source

Optimize a set of criteria.